aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/ac
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ac')
-rwxr-xr-xbin/ac24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/ac b/bin/ac
new file mode 100755
index 0000000000..d9e0fd3bfb
--- /dev/null
+++ b/bin/ac
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+BRANCH=$(git branch | grep \* | cut -d" " -f 2)
+CLEAN=${CLEAN-clean}
+SAMPLES=100
+
+if [ $BRANCH == $CLEAN ]; then
+ echo "Comparing $BRANCH to itself."
+ exit 1
+fi
+
+git checkout $CLEAN
+./gyp_skia >/dev/null
+platform_tools/android/bin/android_ninja -t Release nanobench
+platform_tools/android/bin/android_run_skia -t Release nanobench $@ --skps /data/local/tmp/skps -i /data/local/tmp/resources --samples $SAMPLES -v > $CLEAN.log
+
+git checkout $BRANCH
+./gyp_skia >/dev/null
+platform_tools/android/bin/android_ninja -t Release nanobench
+platform_tools/android/bin/android_run_skia -t Release nanobench $@ --skps /data/local/tmp/skps -i /data/local/tmp/resources --samples $SAMPLES -v > $BRANCH.log
+
+compare $CLEAN.log $BRANCH.log